Public Member Functions | List of all members
clan::LineSegment3 Class Reference
clanCore Math

3D line segment - Integer More...

`#include <line_segment.h>`

Inheritance diagram for clan::LineSegment3:

## Public Member Functions
| LineSegment3 ()
| LineSegment3 (const LineSegment3x< int > &copy)
| LineSegment3 (const Vec3< int > &point_p, const Vec3< int > &point_q)
Public Member Functions inherited from clan::LineSegment3x< int >
| LineSegment3x ()
| LineSegment3x (const LineSegment3x< int > &copy)
| LineSegment3x (const Vec3< int > &point_p, const Vec3< int > &point_q)
Vec3< int > | get_midpoint () const
| Get the midpoint of this line. More...
int | point_distance (const Vec3< int > &point, Vec3< int > &dest_intercept) const
| Calculate the distance from a line segment to a point. More...
LineSegment3x< int > & | operator= (const LineSegment3x< int > &copy)
| = operator. More...
bool | operator== (const LineSegment3x< int > &line) const
| == operator. More...
bool | operator!= (const LineSegment3x< int > &line) const
| != operator. More...

## Additional Inherited Members
Public Attributes inherited from clan::LineSegment3x< int >
Vec3< int > | p
| Start point on the line. More...
Vec3< int > | q

## Detailed Description

3D line segment - Integer

A line segment has a start point and an end point

The documentation for this class was generated from the following file:

- line_segment.h